Bug 170816 - amarok sometimes submits last.fm tracks too soon
Summary: amarok sometimes submits last.fm tracks too soon
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Internet Services (show other bugs)
Version: 2.0-beta
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords: needs_verification
Depends on:
Blocks:
 
Reported: 2008-09-10 19:57 UTC by Jeremy Stephens
Modified: 2008-10-30 02:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of amarok's lastfm submission (308.58 KB, image/png)
2008-09-11 19:15 UTC, Jeremy Stephens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Stephens 2008-09-10 19:57:32 UTC
Version:           1.9.0 (using KDE 4.1.1)
OS:                Linux
Installed from:    Ubuntu Packages

Sometimes Amarok will submit tracks to last.fm too soon.  In 1.4, Amarok submitted tracks according to last.fm guidelines (after half the song is played or 3 minutes has passed, whichever comes first).  In 1.9.0, sometimes Amarok submits the track immediately.
Comment 1 Mark Kretschmann 2008-09-10 20:00:21 UTC
I gotta say I really like it this way, cause it makes our ~np bot plugin work nicely. Can't we keep it like this?
Comment 2 Leo Franchi 2008-09-10 20:01:56 UTC
amarok 2 is using new features from last.fm, including the ability to report the "currently playing" song as well as past scrobbled tracks. so you may be confusing the notification of a song play with the actual scrobbling message.

that said, the last.fm code is going to be completely reworked with a new library from the last.fm guys before beta2, so all last.fm bugs are on hold till then.
Comment 3 Lydia Pintscher 2008-09-10 21:02:27 UTC
Yes I also think you are confusing things here.
Where do you see that Amarok is submitting the song too early?
Comment 4 Jeremy Stephens 2008-09-11 19:09:59 UTC
No, it's actually submitting it.  I just now skipped a song and it submitted it as listened.  Now my current track is being shown as 'currently listened'.
Comment 5 Jeremy Stephens 2008-09-11 19:15:12 UTC
Created attachment 27373 [details]
screenshot of amarok's lastfm submission
Comment 6 Leo Franchi 2008-10-30 02:26:32 UTC
SVN commit 877693 by lfranchi:

new last.fm code for the last.fm service. basically, this replaces our old last.fm code drop from the 1.4 client with the  new modular liblastfm from max at last.fm. currently the library is included here in-source, and we are compiling it as a lib and linking to it internally. as soon as they can, last.fm will release it as liblastfm, and amarok will depend on it. for now, and 2.0, this will stay in-source. note that i include a FindLibLastFm.cmake that is not being used, as soon as we switch to the external lib we can just switch to searching for the external lib w/ no hassle.

NOTE: *please* test. i've tried to stress it as much as i can, but i can't think of all the edge cases. break it!

this should fix a number of bugs with the old client. there is 1 bug that i know of with this code, and i have email max.

BUG: 164156
BUG: 157296
BUG: 155197
BUG: 154904
BUG: 170816